
jQuery(function($) {
	
	initRupI18nPromise.then(function () {
		let operacion;
		initFilter();
		initTable();
		$("#ayuntamientos_filter_cleanButton").click( initFilter);
		
		$("#unidadesBase").on("click",function(ctx) {
			if($("#unidadesBase").rup_table("getSelectedRows") != undefined && $("#unidadesBase").rup_table("getSelectedRows")!=0){
				if($("#unidadesBase").rup_table("getSelectedRows")['fecBaja92']== null && $('#operacion').val()=='edit') {
					$('#unidadesBasedeleteButton_1').prop("disabled",false);
				}else{
					$('#unidadesBasedeleteButton_1').prop("disabled",true);
				}
			}
		});
		Ad74aUtils.hacerPlegable();
		Ad74aUtils.soloNumericos();
	});
	
	const initFilter = () => {
		$("#codProvincia_ayuntamientos_filter_table").rup_combo({	
			source: $.rup.CTX_PATH + 'nora/provincias',
			sourceParam: {label: "descProvincia", value:"codProvincia"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: true,
			blank: '',
			customClasses: ['select-material'],
			rowStriping: true
		});
		
		$("#codMunicipio_ayuntamientos_filter_table").rup_combo({
			parent: ["codProvincia_ayuntamientos_filter_table"],			
			source: $.rup.CTX_PATH + 'nora/municipioEnlazadoProvincia',
			sourceParam: {label: "descripcion", value:"codMunicipio"},
			rowStriping: true,
			width: 'auto',
			ordered: true,
			blank: '',
			
			customClasses: ['select-material']
		});
		
		$("#codProvincia_ayuntamientos_detail_table").rup_combo({	
			source: $.rup.CTX_PATH + 'nora/provincias',
			sourceParam: {label: "descProvincia", value:"codProvincia"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: true,
			blank: '',
			customClasses: ['select-material'],
			rowStriping: true
		});
		
		$("#codMunicipio_ayuntamientos_detail_table").rup_combo({
			parent: ["codProvincia_ayuntamientos_detail_table"],			
			source: $.rup.CTX_PATH + 'nora/municipioEnlazadoProvincia',
			sourceParam: {label: "descripcion", value:"codMunicipio"},
			rowStriping: true,
			width: 'auto',
			ordered: true,
			blank: '',
			onLoadSuccess:()=>{
				if($('#operacion').val()=='edit'){
					$('#codMunicipio_ayuntamientos_detail_table').rup_combo("disable");
					$('#codProvincia_ayuntamientos_detail_table').rup_combo("disable");
				}
			},
			customClasses: ['select-material']
		});
		
		$("#idMancomunidad49_ayuntamientos_detail_table").rup_combo({	
			parent: ["codProvincia_ayuntamientos_detail_table"],
			source: $.rup.CTX_PATH + 'combo/mancomunidadesprovincia',
			sourceParam: {label: "desc", value:"idMancomunidad49"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: true,
			blank: '',
			customClasses: ['select-material'],
			rowStriping: true,
			onLoadSuccess:()=>{
				if($('#codProvincia_ayuntamientos_detail_table').val()!=''){
					$('#idMancomunidad49_ayuntamientos_detail_table').rup_combo("enable");
				}
			}
		});

		$("#formaPago31_ayuntamientos_detail_table").rup_combo({	
			loadFromSelect:true,
			width: 'auto',
	        ordered: true,
			blank: '',
			customClasses: ['select-material'],
			rowStriping: true,
			change: function(){
				if ($("#formaPago31_ayuntamientos_detail_table").rup_combo("getRupValue") == FORMAPAGO_LIQ_DOM){
					$("#numCuenta31_ayuntamientos_detail_table_div").show();
					$("#fAutorizacion31_ayuntamientos_detail_table_div").show();
					$("#formaPagoLiquidacion_div").show();
				}else{
					$("#numCuenta31_ayuntamientos_detail_table_div").hide();
					$("#fAutorizacion31_ayuntamientos_detail_table_div").hide();
					$("#formaPagoLiquidacion_div").hide();
				}
			}
		});
		
		
		$("#fBaja31_ayuntamientos_detail_table").rup_date();
		$("#fAutorizacion31_ayuntamientos_detail_table").rup_date();
		
//		Ad74aUtils.number('#telefono31_ayuntamientos_detail_table',{
//			"type": "integer",
//			"enteros":20,
//			"decimals": 0
//		});
		
//		Ad74aUtils.number('#periodicidad31_ayuntamientos_detail_table',{
//			"type": "integer",
//			"enteros":2,
//			"decimals": 0,
//			"minVal":1,
//			"maxVal":99
//		});
		
//		Ad74aUtils.number('#diaFacturacion31_ayuntamientos_detail_table',{
//			"type": "integer",
//			"enteros":2,
//			"decimals": 0,
//			"minVal":1,
//			"maxVal":28
//		});
		
		var propertiesAyuntamientos={
				feedback:$("#ayuntamientos_detail_feedback"),
				liveCheckingErrors: false,
				showFieldErrorAsDefault: true,
				showErrorsInFeedback: true,
				showFieldErrorsInFeedback: true,
				rules:{
				  "dir331":{required:true},
			      "cif31":{required:true},
			      "desc":{required:true},
			      "provincia.codProvincia":{required:true},
			      "municipio.codMunicipio":{required:true},
			      "direccion31":{required:true},
			      "formaPago31":{required:true},
			      "numCuenta31":{required: function(){
			    	  return $("#formaPago31_ayuntamientos_detail_table").rup_combo("getRupValue") == FORMAPAGO_LIQ_DOM
			      }},
			      "fAutorizacion31":{required: function(){
			    	  return $("#formaPago31_ayuntamientos_detail_table").rup_combo("getRupValue") == FORMAPAGO_LIQ_DOM
			      }},
			      "diaFacturacion31":{required:true},
			      "periodicidad31":{required:true},
			      "email31":{email:true}
			 }
		};
		$("#ayuntamientos_detail_form").rup_validate(propertiesAyuntamientos);
		
		let ayuntamiento_dialog = $("#ayuntamientos_detail_div");
		let ayuntamiento_dialog_feedback = $("#ayuntamientos_detail_feedback");
		
		try {
			ayuntamiento_dialog.rup_dialog("destroy");
		} catch (error) {}
		
		ayuntamiento_dialog = $("#ayuntamientos_detail_div");
		ayuntamiento_dialog_feedback = $("#ayuntamientos_detail_feedback");
		
		ayuntamiento_dialog_feedback.rup_feedback (
			{
			  type: "ok",
			  block: false,
			}
		);	
		
		ayuntamiento_dialog.rup_dialog( {
			type: $.rup.dialog.DIV,
			autoOpen: false,
			modal: true,
			closeOnEscape: true,
			resizable: true,
			//width:600,
			
			dialogClass: 'custom_full_dialog',
			title: $.rup.i18n.app.botonera.add,
			buttons : [ 
                {
                    text:$.rup.i18n.app.botonera.aceptar,
                    id:"ayuntamiento_aceptar_btn",
                    class: 'btn-material btn-material-primary-high-emphasis',
                    click:  () => {
                    	if ($("#ayuntamientos_detail_form").valid()){
                    		const ayuntamiento = $("#ayuntamientos").rup_table("getSelectedRows");

                    		let data =  $('#ayuntamientos_detail_form').rup_form("formToJson");
                    		delete data["_baja"];
                    		
                    		let url = $('#ayuntamientos_detail_form').attr("action") + "/";
                    		url += data["idAyuntamiento31"] != null && data["idAyuntamiento31"] != "" ? "edit" : "add";
                    		let type = data["idAyuntamiento31"] != null && data["idAyuntamiento31"] != "" ? "PUT" : "POST";
                    		
                        	$.rup_ajax({
        			            url: url,
                        	    type: type,
        			            contentType: "application/json",
        			            data: JSON.stringify(data),             	
        			            success: function (data){    			            	
        			            	$("#ayuntamientos").rup_table("reload");
        			            	ayuntamiento_dialog.rup_dialog("close");
        			            	Ad74aUtils.desBloquearInterfaz();
        			            	$("#rup_feedback_ayuntamientos").rup_feedback('set', $.rup.i18n.app.feedback.operacionOK, "ok"); 
        			            },
        			            beforeSend: function(){
        			            	Ad74aUtils.cerrarFeedbacks();
        			            	Ad74aUtils.bloquearInterfaz();
        						},
        			            error:function(data){
        			            	Ad74aUtils.desBloquearInterfaz();
        					    	ayuntamiento_dialog_feedback.rup_feedback('set', data.responseText, "error");
        			            }
        			        });
                    	}
 					}
                 },
				{
					text : $.rup.i18n.app.botonera.cancelar,
					click : () => {
						ayuntamiento_dialog.rup_dialog("close");
					},
					btnType : $.rup.dialog.LINK
				}
			],
			open: function(){
				console.log($('#codProvincia_ayuntamientos_detail_table').val());
				const ayuntamiento = $("#ayuntamientos").rup_table("getSelectedRows"); 
				$("#formaPago31_ayuntamientos_detail_table").rup_combo("change");
				limpiarSesion();
			},
			close: function(){
				$("#ayuntamientos_detail_form").rup_form("clearForm");
				$("#ayuntamientos_detail_form").rup_validate("resetElements");
				ayuntamiento_dialog_feedback.rup_feedback("close");
				limpiarSesion();
			}		    
		});
	}
	
	const initTable = () => {
		
		let ayuntamiento_dialog = $("#ayuntamientos_detail_div");
		let ayuntamiento_dialog_feedback = $("#ayuntamientos_detail_feedback");
		
		const getColumnsModelAyuntamiento = function(){
			const getColumnModelAyuntamiento = function (name, index, editable, hidden, orderable) {
				return {
					name: name,
					index: index,
					editable: editable,
					hidden: hidden,
					orderable: orderable
				}
			};
			let columnsModelAyuntamiento = [];
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("idAyuntamiento31", "idAyuntamiento31", false, true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("dir331", "dir331", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("cif31", "cif31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("desc", "desc", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("mancomunidades.desc", "mancomunidades.desc", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("provincia.descProvincia", "provincia.descProvincia", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("municipio.descripcion", "municipio.descripcion", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("numCuenta31", "numCuenta31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("periodicidad31", "periodicidad31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("contacto31", "contacto31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("telefono31", "telefono31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("email31", "email31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("fBaja31", "fBaja31", true, false));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("usuAlta31", "usuAlta31", false, true));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("usuModif31", "usuModif31", false, true));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("fAlta31", "fAlta31", false, true));
			columnsModelAyuntamiento.push(getColumnModelAyuntamiento("fModif31", "fModif31", false, true));
			return columnsModelAyuntamiento;
		};

		const getColumnsDefsAyuntamiento = function () {
			return [ 
				{
					"targets": 4,
					"render": function ( data, type, row, meta ) {
						if(row.mancomunidades != undefined && row.mancomunidades.idMancomunidad49 != null){
							return row.mancomunidades.desc;
						}
						return '';
					}
				},
				{
					"targets": 5,
					"render": function ( data, type, row, meta ) {
						if(row.provincia != undefined && row.provincia.codProvincia != null){
							return row.provincia.descProvincia;
						}
						return '';
					}
				},
				{
					"targets": 6,
					"render": function ( data, type, row, meta ) {
						if(row.municipio != undefined && row.municipio.codMunicipio != null){
							return row.municipio.descripcion;
						}
						return '';
						
					}
				}
			];
		};
		
		const getCustomButtonsAyuntamiento = function () {
			let customButonsAyuntamiento = [];	
			
			const FN_editarAyuntamiento = {};
			FN_editarAyuntamiento.test  = function(){
				const selectedRows  = $("#ayuntamientos").rup_table("getSelectedRows");	
				// 1 seleccionado
				if ( selectedRows.length == undefined) {
					return true;
				}
				return false;
			};
			const FN_darBajaAyuntamiento = {};
			FN_darBajaAyuntamiento.test  = function(){
				const selectedRows  = $("#ayuntamientos").rup_table("getSelectedRows");	
				// 1 seleccionado
				if ( selectedRows.length == undefined && selectedRows.fBaja31 == null) {
					return true;
				}
				return false;
			};
			const anadirButton = {
					text: function () {
						return $.rup.i18n.app.botonera.add;
					},
					id: 'anadirAyuntamiento', // Campo obligatorio si se quiere usar desde el contextMenu
					className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
					icon: "mdi-plus",
					displayRegex: /^\d+$/,			
					insideContextMenu: true, 
					//type: 'view',
					action: function (e, dt) {
						ayuntamiento_dialog.rup_dialog("open");
						const divTitleDialog = $("div[aria-describedby='ayuntamientos_detail_div'] .ui-dialog-title");
						divTitleDialog.html('<i>'+$.rup.i18n.base.rup_table.toolbar.add+'</i>');
						$("#idAyuntamientos31_ayuntamientos_detail_table").val("");
						ayuntamiento_dialog_feedback.rup_feedback("close");
						$('#operacion').val('add');
						//$('#codMunicipio_ayuntamientos_detail_table').rup_combo("enable");
						$('#codProvincia_ayuntamientos_detail_table').rup_combo("enable");
						loadUnidadesBase(true);
					}				
			};	
			customButonsAyuntamiento.push(anadirButton);
			
			const editButton = {
					text: function () {
						return $.rup.i18n.app.botonera.edit;
					},
					id: 'editarAyuntamiento', // Campo obligatorio si se quiere usar desde el contextMenu
					className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
					icon: "mdi-playlist-edit",
					displayRegex: FN_editarAyuntamiento,			
					insideContextMenu: true, 
					//type: 'view',
					action: function (e, dt) {
						$.rup_ajax({
				              url: $.rup.CTX_PATH +"ayuntamientos/"+ $('#ayuntamientos').rup_table('getSelectedRows')['idAyuntamiento31'],
				              type: "GET",            
				              dataType: 'json',
				              contentType: 'application/json',
				              beforeSend: function() {
				            	  Ad74aUtils.bloquearInterfaz();
				              },
				              complete: function() {
				            	  Ad74aUtils.desBloquearInterfaz();
				              },
				              success: function (data){
				              	 ayuntamiento_dialog.rup_dialog("open");
				              	 const divTitleDialog = $("div[aria-describedby='ayuntamientos_detail_div'] .ui-dialog-title");
								 divTitleDialog.html('<i>'+$.rup.i18n.base.rup_table.toolbar.edit+'</i>');
				              	 $.rup_utils.populateForm($.rup_utils.jsontoarray(data), "#ayuntamientos_detail_form");
				              	 $('#operacion').val('edit');
				              	 $('#codMunicipio_ayuntamientos_detail_table').rup_combo("disable");
				              	 $('#codProvincia_ayuntamientos_detail_table').rup_combo("disable");
				              	 
				              	 if (data.fBaja31 != null){
				              		 $("#baja31_ayuntamientos_detail_table").prop("checked", true);
				              	 }
				              },
				              error: function(error){ 
				                  alert("error")
				              }
				        });
						loadUnidadesBase(false);
					}		
			};
			customButonsAyuntamiento.push(editButton);
			
			const darBajaButton = {
					text: function () {
						return $.rup.i18n.app.botonera.darBaja;
					},
					id: 'darBajaAyuntamiento', // Campo obligatorio si se quiere usar desde el contextMenu
					className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
					icon: "mdi-delete",
					displayRegex: FN_darBajaAyuntamiento,			
					insideContextMenu: true, 
					//type: 'view',
					action: function (e, dt) {
						Ad74aUtils.openConfirmDialog(
							'dialogConfirm', 
							$.rup.i18n.app.dialog.title.darBajaAyuntamiento, 
							$.rup.i18n.app.dialog.label.darBajaAyuntamiento,  
							[
					        	{
					                text: $.rup.i18n.app.botonera.cancelar,
					                click: function () { 
					                    $('#dialogConfirm').rup_dialog('close'); 
					                },
					                btnType: $.rup.dialog.LINK
					            },
						        {
						            text: $.rup.i18n.app.botonera.aceptar,
						            id: "btnDarBajaAyuntamiento",
						            class: 'btn-material btn-material-primary-high-emphasis',
						            click: function () { 
						            	$.rup_ajax({
								              url: $.rup.CTX_PATH +"ayuntamientos/baja/"+ $('#ayuntamientos').rup_table('getSelectedRows')['idAyuntamiento31'],
								              type: "PUT",            
								              dataType: 'json',
								              contentType: 'application/json',
								              beforeSend: function() {
								            	  Ad74aUtils.bloquearInterfaz();
								              },
								              complete: function() {
								            	  Ad74aUtils.desBloquearInterfaz();
								            	  $('#dialogConfirm').rup_dialog('close');
								              },
								              success: function (data){
								              	  $('#rup_feedback_ayuntamientos').rup_feedback("option", "delay", null);
								              	  $('#rup_feedback_ayuntamientos').rup_feedback("set", $.rup.i18n.app.feedback.darBajaOk, "ok");
								              	  $('#ayuntamientos').rup_table("reload");
								              },
								              error: function(error){ 
								                  alert("error")
								              }
								        });
						            }
						        }
					        ]
						);
					}		
			};
			customButonsAyuntamiento.push(darBajaButton);
			
			return customButonsAyuntamiento;
		};

		$("#ayuntamientos").rup_table({
			colReorder: {
				fixedColumnsLeft: 1
			},
			colModel: getColumnsModelAyuntamiento(),
			columnDefs: getColumnsDefsAyuntamiento(),
			primaryKey: "idAyuntamiento31",
	     	filter:{
	  	  		id:"ayuntamientos_filter_form",
	  	  		filterToolbar:"ayuntamientos_filter_toolbar",
	  	  		collapsableLayerId:"ayuntamientos_filter_fieldset",
	  	  		showHidden: true
	     	},
	     	createTooltipBody: false,// No muestra el tooltip automático de las columnas de la tabla
	   		select: {
	       		activate: true,
	       		deleteDoubleClick:true
	   		},
			buttons: {
				activate: true,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'deleteButton', 'copyButton', 'pdfButton', 'odsButton', 'csvButton'],
				myButtons: getCustomButtonsAyuntamiento()
			},
			columnOrderArrows: {
			    showOnlyActive: false,
			    display: 'inline'
			},
			order: [[1, "asc"]]
		});
		
		
		
		
	}
	

const loadUnidadesBase = (isNew) => {
		
		console.log("loadUnidadesBase");
		
		try {
			$("#unidadesBase").DataTable().destroy();
		} catch (error) {}
		
		const getColumnsModelPago = function(){
			const getColumnModelPago = function (name, index, editable, hidden, orderable, align = "left") {
				return {
					name: name,
					index: index,
					editable: editable,
					hidden: hidden,
					orderable: orderable,
					align: align
				}
			};
			let columnsModelPago = [];
			columnsModelPago.push(getColumnModelPago("idUnidadBase92", "idUnidadBase92", false, true, false,"left"));
			columnsModelPago.push(getColumnModelPago("descEs92", "descEs92", true, false,"left"));
			columnsModelPago.push(getColumnModelPago("descEu92", "descEu92", true, false,"left"));
			columnsModelPago.push(getColumnModelPago("idProvincia92", "idProvincia92", false,true, false,"left"));
			columnsModelPago.push(getColumnModelPago("idMunicipio92", "idMunicipio92", false,true, false,"left"));
			columnsModelPago.push({ 
				name: "fecBaja92", 
				index: "fecBaja92", 
				editable: false, 
				hidden: false, 
				orderable: false, 
//				rupType: 'date',
//				editoptions: {
//					yearRange: 'c-120:c',
//					mask: 'dd/mm/yyyy',
//					showButtonPanel : true,
//					showOtherMonths : true,
//	            },
			});
			return columnsModelPago;
		};
		let municipio;
		let urlBase;
		if(!isNew){
			 municipio = $('#ayuntamientos').rup_table('getSelectedRows')['municipio'];
			 urlBase=$.rup.CTX_PATH +"unidadesbase/"+municipio.codMunicipio+"/"+municipio.codProvincia ;
		}else{
			urlBase=$.rup.CTX_PATH +"unidadesbase/0/0" ;
		}
		
		$("#unidadesBase").attr("data-url-base", urlBase);
		
		const getColumnsDefsPago = function () {
			return [ 
			];
		};
		const getCustomButtonsPago = function () {
			let customButonsPago = [];				
			return customButonsPago;
		};
		
		const editParams = {
				// Propiedades de configuración del plugin inlineEdit
				validate: {
					/*messages: {
						"descEs92": $.rup.i18n.app.unidadesBase.descEs,
						"descEu92": $.rup.i18n.app.unidadesBase.descEu,
					},*/
					rules: {
						'descEs92': {
							required: true,
							maxlength: 50
						},
						'descEu92': {
							required:true,
							maxlength: 50,
							
						},
						'fecBaja92':{
							date:true,
							required:false,
							editable:false
						}
					},
					
				},
				confirmDialogs: {
					saveDialog: false,
					cancelDialog: false,
					deleteDialog: true
				}
			}
			
			
			const tableUnidadesBase = $("#unidadesBase").rup_table({
				colModel: getColumnsModelPago(),
				columnDefs: getColumnsDefsPago(),
				primaryKey: "idUnidadBase92",
		     	filter:{

		  	  		id:"unidadesBase_filter_form",
		  	  		filterToolbar:"unidadesBase_filter_toolbar",
		  	  		collapsableLayerId:"unidadesBase_filter_fieldset",
		  	  		showHidden: true
		     	
		     	}
		  	  		
		     	,
		     	createTooltipBody: false,// No muestra el tooltip automático de las columnas de la tabla
		     	noEdit: false,
		     	inlineEdit: editParams,
		   		select: {
		       		activate: true,
		       		//deleteDoubleClick:true
		   		},
		   		dom: 't<"container-fluid paginationContainer"' +
				  '<"row mx-0"' +
				  '<"col-6 order-3 text-right align-self-center col-sm-5 order-sm-2 col-xl-2 order-xl-1 text-xl-left">' +
				  '<"d-none"p>' +
				  '<"col-12 text-center"i>' +
				  '>' +
				  '>' +
				  'r',
				buttons: {
					activate: true,
					blackListButtons: ['reportsButton', 'cloneButton', 'copyButton'], 
				},
				drawCallback: function( settings ) {
					const observerAdd = new MutationObserver(function(mutations) {						
						$("#descEs92_inline").attr("oldtitle", $.rup.i18n.app.unidadesBase.descEs);
						$("#descEu92_inline").attr("oldtitle", $.rup.i18n.app.unidadesBase.descEu);
					    $("#descEs92_inline").focus();
					    //$("#fecBaja92_inline").rup_date("destroy");
					    $("#fecBaja92_inline").remove();
					                                    
					});

					observerAdd.observe(
					        document.querySelector('#unidadesBase tbody tr'), 
					        {
					            attributes:    true,
					            childList:     true,
					            characterData: true,
					            //subtree:	   true
					        }
					);
				},				
				order: [[0, "desc"]],
				initComplete:()=>{
					$('#unidadesBasedeleteButton_1 span').html($.rup.i18n.app.unidadesBase.darDeBaja);
				}
			});	
		
		
			
		}

function limpiarSesion(){
	$.rup_ajax({
    	url: $.rup.CTX_PATH +"ayuntamientos/clear",
        type: "GET",
        success: function (){
    		console.log("Session cleared");
      	}
    });
}
			
	});
